Returns the available syncs of the worker.
curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/workers \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/workers"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/workers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"syncName": "<string>",
"reportProgress": true,
"configurations": [
{
"identifier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"displayName": "<string>",
"displayDescription": "<string>",
"type": "<string>",
"isRequired": true,
"currentValue": "<string>"
}
],
"salesChannelName": "<string>",
"salesChannelId": "<string>",
"interval": "<string>"
}
]Worker
Returns the available syncs of the worker.
Returns the available syncs of the worker.
GET
/
v2
/
workers
Returns the available syncs of the worker.
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Response
The unique identifier of a sync.
The name of the sync.
Indicates whether the sync reports progress in percent.
The configuration entries of the worker sync.
Show child attributes
Show child attributes
The name of the sales channel.
The sales channel for the sync.
The sync interval.
Was this page helpful?